Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_OutputSource_NetPacket

Output Source NetPacket Class.
Contained in: global
Derived from: CL_OutputSource
Derived by: none
Group: Network (NetSessions)

#include <ClanLib/network.h>

### public function member index:

### Construction:

`` | `CL_OutputSource_NetPacket` | `(`const` `CL_NetPacket`& `netpacket`)`;
``virtual`` | `~CL_OutputSource_NetPacket` | `()`;

### Attributes:

``virtual` `int`` | `tell` | `() `const``;
``virtual` `int`` | `size` | `() `const``;

### Operations:

``virtual` `int`` | `write` | `(`const` `void`* `data`, `int` `size`)`;
``virtual` `void`` | `open` | `()`;
``virtual` `void`` | `close` | `()`;
``virtual` `CL_OutputSource`*` | `clone` | `()`;

### private function member index:

### Implementation:

`` | `CL_OutputSource_NetPacket` | `()`;

## Description:

## Function Member Descriptions:

CL_OutputSource_NetPacket::CL_OutputSource_NetPacket - Output Source NetPacket Constructor.
`` `CL_OutputSource_NetPacket` `(`const` `CL_NetPacket`& `netpacket`)`;

CL_OutputSource_NetPacket::clone - Make a copy of the current outputsource, standing at the same position.
``virtual` `CL_OutputSource`*` `clone` `()`;

CL_OutputSource_NetPacket::close - Closes the output source.
``virtual` `void`` `close` `()`;

CL_OutputSource_NetPacket::open - Opens the output source. By default, it is open.
``virtual` `void`` `open` `()`;

CL_OutputSource_NetPacket::size - Returns the size of the output source
``virtual` `int`` `size` `() `const``;

CL_OutputSource_NetPacket::tell - Returns current position in output source.
``virtual` `int`` `tell` `() `const``;

CL_OutputSource_NetPacket::write - Writes larger amounts of data (no endian and 64 bit conversion):
``virtual` `int`` `write` `(`const` `void`* `data`, `int` `size`)`;

## Variable Member Descriptions: